import { TSDate } from "./tsdate";
import { Comparison, Nullable, Bytes } from "./types";
export declare function $numcompare(a: number, b: number): Comparison;
export declare function $datecompare(a: Nullable<number | string | Date | TSDate>, b: Nullable<number | string | Date | TSDate>): Comparison;
export declare function $bytescompare(a: Nullable<Bytes>, b: Nullable<Bytes>): Comparison;
export declare function $compare(a: any, b: any): Comparison;
export declare function $bytesequal(a: Nullable<Bytes>, b: Nullable<Bytes>): boolean;
export declare function $equal(a: any, b: any): boolean;
export declare function $setequal(sa: Nullable<Set<any>>, sb: Nullable<Set<any>>): boolean;
export declare function $unorderedEqual(sa: Nullable<any[] | Set<any>>, sb: Nullable<any[] | Set<any>>): boolean;
